Bug Hunting Session
Bug 48065 - [SVG] fill-opacity is not clamped for values > 1
Summary: [SVG] fill-opacity is not clamped for values > 1
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other All
: medium normal
Assignee: Jorendc
URL:
Whiteboard: target:3.6.0 target:3.5.4 target:4.3....
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-29 15:14 UTC by Valek Filippov
Modified: 2014-07-25 15:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
W3C SVG test suite "painting-fill-05-b" (4.40 KB, image/svg+xml)
2012-03-29 15:14 UTC, Valek Filippov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2012-03-29 15:14:48 UTC
Created attachment 59242 [details]
W3C SVG test suite "painting-fill-05-b"

Three squares in SE corner should be opaque blue ("fill-opacity" values are "1.1", "10.0" and "100.0").
Comment 1 Not Assigned 2012-05-08 01:31:33 UTC
Chr. Rossmanith committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=79a6e40e6f19a896dbc25640deb3d4507eddad95

fdo#48065 clamp mnFillOpacity to 1
Comment 2 Not Assigned 2012-05-08 08:37:16 UTC
Chr. Rossmanith committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=322963a4e82a6de7be37cd14ae1c81d315bde17a&g=libreoffice-3-5

fdo#48065 clamp mnFillOpacity to 1


It will be available in LibreOffice 3.5.4.
Comment 3 sasha.libreoffice 2012-06-27 01:18:47 UTC
Thanks for fixing this bug
in 3.5.4: File->Open fixed
Insert->Picture - bug still exist
Comment 4 Jorendc 2014-07-24 21:13:56 UTC
Fix under review: https://gerrit.libreoffice.org/#/c/10522/

backporting to 4-3 branch as well: https://gerrit.libreoffice.org/#/c/10523/
Comment 5 Commit Notification 2014-07-25 15:18:43 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df26763379d4c837db9b400641ca756bb62dea4c&h=libreoffice-4-3

fdo#48065 SVG: correctly clamp fill-opacity


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-07-25 15:18:58 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0198b3a9451700d875c1b389d30e1a0cc9ab4b47

fdo#48065 SVG: correctly clamp fill-opacity



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.